﻿using Kivii.DataAnnotations;

namespace Com.Bocom.OpenApi
{
    public class QueryContractOrderResponseV2 : BocomResponse
    {
        /// <summary>
        /// 账单编号 </summary>
        [Alias("contorderdetaillist_billid")]
        public string contorderdetaillist_billid { get; set; }

        /// <summary>
        /// 批次号 </summary>
        [Alias("contorderdetaillist_batid")]
        public string contorderdetaillist_batid { get; set; }

        /// <summary>
        /// 合同号 </summary>
        [Alias("contorderdetaillist_contid")]
        public string contorderdetaillist_contid;

        /// <summary>
        /// 机构编号 </summary>
        //JAVA TO C# CONVERTER TODO TASK: Most Java annotations will not have direct .NET equivalent attributes:
        //ORIGINAL LINE: @JsonProperty("contorderdetaillist_orgid") private String contorderdetaillistOrgid;
        //private string contorderdetaillistOrgid;
        [Alias("contorderdetaillist_orgid")]
        public string contorderdetaillist_orgid;

        /// <summary>
        /// 应付款人 </summary>
        //JAVA TO C# CONVERTER TODO TASK: Most Java annotations will not have direct .NET equivalent attributes:
        //ORIGINAL LINE: @JsonProperty("contorderdetaillist_oripayer") private String contorderdetaillistOripayer;
        //private string contorderdetaillistOripayer;
        [Alias("contorderdetaillist_oripayer")]
        public string contorderdetaillist_oripayer;

        /// <summary>
        /// 应付款人账号 </summary>
        //JAVA TO C# CONVERTER TODO TASK: Most Java annotations will not have direct .NET equivalent attributes:
        //ORIGINAL LINE: @JsonProperty("contorderdetaillist_oriac") private String contorderdetaillistOriac;
        //private string contorderdetaillistOriac;
        [Alias("contorderdetaillist_oriac")]
        public string contorderdetaillist_oriac;

        /// <summary>
        /// 应付款人地址 </summary>
        //JAVA TO C# CONVERTER TODO TASK: Most Java annotations will not have direct .NET equivalent attributes:
        //ORIGINAL LINE: @JsonProperty("contorderdetaillist_oriaddr") private String contorderdetaillistOriaddr;
        //private string contorderdetaillistOriaddr;
        [Alias("contorderdetaillist_oriaddr")]
        public string contorderdetaillist_oriaddr;

        /// <summary>
        /// 应付款人联系电话 </summary>
        //JAVA TO C# CONVERTER TODO TASK: Most Java annotations will not have direct .NET equivalent attributes:
        //ORIGINAL LINE: @JsonProperty("contorderdetaillist_oritelno") private String contorderdetaillistOritelno;
        //private string contorderdetaillistOritelno;
        [Alias("contorderdetaillist_oritelno")]
        public string contorderdetaillist_oritelno;

        /// <summary>
        /// 应付款人其他信息1 </summary>
        //JAVA TO C# CONVERTER TODO TASK: Most Java annotations will not have direct .NET equivalent attributes:
        //ORIGINAL LINE: @JsonProperty("contorderdetaillist_oriotherinfo1") private String contorderdetaillistOriotherinfo1;
        //private string contorderdetaillistOriotherinfo1;
        [Alias("contorderdetaillist_oriotherinfo1")]
        public string contorderdetaillist_oriotherinfo1;

        /// <summary>
        /// 应付款人其他信息2 </summary>
        //JAVA TO C# CONVERTER TODO TASK: Most Java annotations will not have direct .NET equivalent attributes:
        //ORIGINAL LINE: @JsonProperty("contorderdetaillist_oriotherinfo2") private String contorderdetaillistOriotherinfo2;
        //private string contorderdetaillistOriotherinfo2;
        [Alias("contorderdetaillist_oriotherinfo2")]
        public string contorderdetaillist_oriotherinfo2;

        /// <summary>
        /// 应付款人其他信息3 </summary>
        //JAVA TO C# CONVERTER TODO TASK: Most Java annotations will not have direct .NET equivalent attributes:
        //ORIGINAL LINE: @JsonProperty("contorderdetaillist_oriotherinfo3") private String contorderdetaillistOriotherinfo3;
        //private string contorderdetaillistOriotherinfo3;
        [Alias("contorderdetaillist_oriotherinfo3")]
        public string contorderdetaillist_oriotherinfo3;

        /// <summary>
        /// 费项名称 </summary>
        //JAVA TO C# CONVERTER TODO TASK: Most Java annotations will not have direct .NET equivalent attributes:
        //ORIGINAL LINE: @JsonProperty("contorderdetaillist_oriitmnme") private String contorderdetaillistOriitmnme;
        //private string contorderdetaillistOriitmnme;
        [Alias("contorderdetaillist_oriitmnme")]
        public string contorderdetaillist_oriitmnme;

        /// <summary>
        /// 费项类型 </summary>
        //JAVA TO C# CONVERTER TODO TASK: Most Java annotations will not have direct .NET equivalent attributes:
        //ORIGINAL LINE: @JsonProperty("contorderdetaillist_oriitmtype") private String contorderdetaillistOriitmtype;
        //private string contorderdetaillistOriitmtype;
        [Alias("contorderdetaillist_oriitmtype")]
        public string contorderdetaillist_oriitmtype;

        /// <summary>
        /// 应付金额 </summary>
        //JAVA TO C# CONVERTER TODO TASK: Most Java annotations will not have direct .NET equivalent attributes:
        //ORIGINAL LINE: @JsonProperty("contorderdetaillist_oriamt") private String contorderdetaillistOriamt;
        //private string contorderdetaillistOriamt;
        [Alias("contorderdetaillist_oriamt")]
        public string contorderdetaillist_oriamt;

        /// <summary>
        /// 减免金额 </summary>
        //JAVA TO C# CONVERTER TODO TASK: Most Java annotations will not have direct .NET equivalent attributes:
        //ORIGINAL LINE: @JsonProperty("contorderdetaillist_orioffsetamt") private String contorderdetaillistOrioffsetamt;
        //private string contorderdetaillistOrioffsetamt;
        [Alias("contorderdetaillist_orioffsetamt")]
        public string contorderdetaillist_orioffsetamt;

        /// <summary>
        /// 实际应付金额 </summary>
        //JAVA TO C# CONVERTER TODO TASK: Most Java annotations will not have direct .NET equivalent attributes:
        //ORIGINAL LINE: @JsonProperty("contorderdetaillist_oriactamt") private String contorderdetaillistOriactamt;
        //private string contorderdetaillistOriactamt;
        [Alias("contorderdetaillist_oriactamt")]
        public string contorderdetaillist_oriactamt;

        /// <summary>
        /// 已付金额 </summary>
        //JAVA TO C# CONVERTER TODO TASK: Most Java annotations will not have direct .NET equivalent attributes:
        //ORIGINAL LINE: @JsonProperty("contorderdetaillist_paidamt") private String contorderdetaillistPaidamt;
        //private string contorderdetaillistPaidamt;
        [Alias("contorderdetaillist_paidamt")]
        public string contorderdetaillist_paidamt;

        /// <summary>
        /// 附言码 </summary>
        //JAVA TO C# CONVERTER TODO TASK: Most Java annotations will not have direct .NET equivalent attributes:
        //ORIGINAL LINE: @JsonProperty("contorderdetaillist_attachcode") private String contorderdetaillistAttachcode;
        //private string contorderdetaillistAttachcode;
        [Alias("contorderdetaillist_attachcode")]
        public string contorderdetaillist_attachcode;

        /// <summary>
        /// 补录方式
        /// 01-现金；
        /// 02-微信；
        /// 03-支付宝；
        /// 04-转账；
        /// 05-支票；
        /// 06-银承；
        /// 07-商承；
        /// 08-其他
        /// </summary>
        //JAVA TO C# CONVERTER TODO TASK: Most Java annotations will not have direct .NET equivalent attributes:
        //ORIGINAL LINE: @JsonProperty("contorderdetaillist_addttype") private String contorderdetaillistAddttype;
        //private string contorderdetaillistAddttype;
        [Alias("contorderdetaillist_addttype")]
        public string contorderdetaillist_addttype;

        /// <summary>
        /// 补录金额 </summary>
        //JAVA TO C# CONVERTER TODO TASK: Most Java annotations will not have direct .NET equivalent attributes:
        //ORIGINAL LINE: @JsonProperty("contorderdetaillist_addtamt") private String contorderdetaillistAddtamt;
        //private string contorderdetaillistAddtamt;
        [Alias("contorderdetaillist_addtamt")]
        public string contorderdetaillist_addtamt;

        /// <summary>
        /// 补录日期 </summary>
        //JAVA TO C# CONVERTER TODO TASK: Most Java annotations will not have direct .NET equivalent attributes:
        //ORIGINAL LINE: @JsonProperty("contorderdetaillist_addtdat") private String contorderdetaillistAddtdat;
        //private string contorderdetaillistAddtdat;
        [Alias("contorderdetaillist_addtdat")]
        public string contorderdetaillist_addtdat;

        /// <summary>
        /// 补录人 </summary>
        //JAVA TO C# CONVERTER TODO TASK: Most Java annotations will not have direct .NET equivalent attributes:
        //ORIGINAL LINE: @JsonProperty("contorderdetaillist_addtstaff") private String contorderdetaillistAddtstaff;
        //private string contorderdetaillistAddtstaff;
        [Alias("contorderdetaillist_addtstaff")]
        public string contorderdetaillist_addtstaff;

        /// <summary>
        /// 创建日期 </summary>
        //JAVA TO C# CONVERTER TODO TASK: Most Java annotations will not have direct .NET equivalent attributes:
        //ORIGINAL LINE: @JsonProperty("contorderdetaillist_credte") private String contorderdetaillistCredte;
        //private string contorderdetaillistCredte;
        [Alias("contorderdetaillist_credte")]
        public string contorderdetaillist_credte;

        /// <summary>
        /// 创建人 </summary>
        //JAVA TO C# CONVERTER TODO TASK: Most Java annotations will not have direct .NET equivalent attributes:
        //ORIGINAL LINE: @JsonProperty("contorderdetaillist_creusr") private String contorderdetaillistCreusr;
        //private string contorderdetaillistCreusr;
        [Alias("contorderdetaillist_creusr")]
        public string contorderdetaillist_creusr;

        /// <summary>
        /// 备注 </summary>
        //JAVA TO C# CONVERTER TODO TASK: Most Java annotations will not have direct .NET equivalent attributes:
        //ORIGINAL LINE: @JsonProperty("contorderdetaillist_remark") private String contorderdetaillistRemark;
        //private string contorderdetaillistRemark;
        [Alias("contorderdetaillist_remark")]
        public string contorderdetaillist_remark;

        /// <summary>
        /// 减免金额备注 </summary>
        //JAVA TO C# CONVERTER TODO TASK: Most Java annotations will not have direct .NET equivalent attributes:
        //ORIGINAL LINE: @JsonProperty("contorderdetaillist_offsetremark") private String contorderdetaillistOffsetremark;
        //private string contorderdetaillistOffsetremark;
        [Alias("contorderdetaillist_offsetremark")]
        public string contorderdetaillist_offsetremark;

        /// <summary>
        /// 部门名称 </summary>
        //JAVA TO C# CONVERTER TODO TASK: Most Java annotations will not have direct .NET equivalent attributes:
        //ORIGINAL LINE: @JsonProperty("contorderdetaillist_dept") private String contorderdetaillistDept;
        //private string contorderdetaillistDept;
        [Alias("contorderdetaillist_dept")]
        public string contorderdetaillist_dept;

        /// <summary>
        /// 核销状态
        /// 01-已核销；
        /// 02-核销待确认
        /// </summary>
        //JAVA TO C# CONVERTER TODO TASK: Most Java annotations will not have direct .NET equivalent attributes:
        //ORIGINAL LINE: @JsonProperty("contorderdetaillist_writeoffstate") private String contorderdetaillistWriteoffstate;
        //private string contorderdetaillistWriteoffstate;
        [Alias("contorderdetaillist_writeoffstate")]
        public string contorderdetaillist_writeoffstate;

        /// <summary>
        /// 核销方式
        /// 01-现金；
        /// 02-微信；
        /// 03-支付宝；
        /// 04-转账；
        /// 05-支票；
        /// 06-银承；
        /// 07-商承；
        /// 08-其他
        /// </summary>
        //JAVA TO C# CONVERTER TODO TASK: Most Java annotations will not have direct .NET equivalent attributes:
        //ORIGINAL LINE: @JsonProperty("contorderdetaillist_writeofftype") private String contorderdetaillistWriteofftype;
        //private string contorderdetaillistWriteofftype;
        [Alias("contorderdetaillist_writeofftype")]
        public string contorderdetaillist_writeofftype;

        /// <summary>
        /// 核销日期 </summary>
        //JAVA TO C# CONVERTER TODO TASK: Most Java annotations will not have direct .NET equivalent attributes:
        //ORIGINAL LINE: @JsonProperty("contorderdetaillist_writeoffdte") private String contorderdetaillistWriteoffdte;
        //private string contorderdetaillistWriteoffdte;
        [Alias("contorderdetaillist_writeoffdte")]
        public string contorderdetaillist_writeoffdte;

        /// <summary>
        /// 核销金额 </summary>
        //JAVA TO C# CONVERTER TODO TASK: Most Java annotations will not have direct .NET equivalent attributes:
        //ORIGINAL LINE: @JsonProperty("contorderdetaillist_writeoffamt") private String contorderdetaillistWriteoffamt;
        //private string contorderdetaillistWriteoffamt;
        [Alias("contorderdetaillist_writeoffamt")]
        public string contorderdetaillist_writeoffamt;

        /// <summary>
        /// 账期 </summary>
        //JAVA TO C# CONVERTER TODO TASK: Most Java annotations will not have direct .NET equivalent attributes:
        //ORIGINAL LINE: @JsonProperty("contorderdetaillist_paymentperiod") private String contorderdetaillistPaymentperiod;
        //private string contorderdetaillistPaymentperiod;
        [Alias("contorderdetaillist_paymentperiod")]
        public string contorderdetaillist_paymentperiod;

        /// <summary>
        /// 核销提醒手机号 </summary>
        //JAVA TO C# CONVERTER TODO TASK: Most Java annotations will not have direct .NET equivalent attributes:
        //ORIGINAL LINE: @JsonProperty("contorderdetaillist_phonenum") private String contorderdetaillistPhonenum;
        //private string contorderdetaillistPhonenum;
        [Alias("contorderdetaillist_phonenum")]
        public string contorderdetaillist_phonenum;

        /// <summary>
        /// 框架性协议类型
        /// -1: 非框架性协议；
        /// 1:  非足额自动部分核销协议
        /// </summary>
        //JAVA TO C# CONVERTER TODO TASK: Most Java annotations will not have direct .NET equivalent attributes:
        //ORIGINAL LINE: @JsonProperty("contorderdetaillist_agreementtype") private String contorderdetaillistAgreementtype;
        //private string contorderdetaillistAgreementtype;
        [Alias("contorderdetaillist_agreementtype")]
        public string contorderdetaillist_agreementtype;

        /// <summary>
        /// 账单核销状态
        /// 01-未核销；
        /// 02-部分核销；
        /// 03-全额核销；
        /// 04-失效
        /// </summary>
        //JAVA TO C# CONVERTER TODO TASK: Most Java annotations will not have direct .NET equivalent attributes:
        //ORIGINAL LINE: @JsonProperty("contorderdetaillist_billwostate") private String contorderdetaillistBillwostate;
        //private string contorderdetaillistBillwostate;
        [Alias("contorderdetaillist_billwostate")]
        public string contorderdetaillist_billwostate;

        /// <summary>
        /// 操作结果
        /// F-失败；
        /// S-成功
        /// </summary>
        //JAVA TO C# CONVERTER TODO TASK: Most Java annotations will not have direct .NET equivalent attributes:
        //ORIGINAL LINE: @JsonProperty("contorderdetaillist_oprresult") private String contorderdetaillistOprresult;
        //private string contorderdetaillistOprresult;
        [Alias("contorderdetaillist_oprresult")]
        public string contorderdetaillist_oprresult;

        /// <summary>
        /// 失败原因 </summary>
        //JAVA TO C# CONVERTER TODO TASK: Most Java annotations will not have direct .NET equivalent attributes:
        //ORIGINAL LINE: @JsonProperty("contorderdetaillist_failreason") private String contorderdetaillistFailreason;
        //private string contorderdetaillistFailreason;
        [Alias("contorderdetaillist_failreason")]
        public string contorderdetaillist_failreason;
    }
}

